Download it now!
Bug 45387 - Debian packages should depend on some localisation
Summary: Debian packages should depend on some localisation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: All Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Installer-Linux
  Show dependency treegraph
 
Reported: 2012-01-30 02:11 UTC by Lionel Elie Mamane
Modified: 2018-09-28 18:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2012-01-30 02:11:09 UTC
$ sudo dpkg --install libreoffice3.5-ure_3.5.0-12_amd64.deb libobasis3.5-core0* libobasis3.5-base_3.5.0-12_amd64.deb libobasis3.5-postgresql-sdbc_3.5.0-12_amd64.deb libobasis3.5-images_3.5.0-12_amd64.deb libreoffice3.5_3.5.0-12_amd64.deb libreoffice3.5-base_3.5.0-12_amd64.deb 
$ /opt/libreoffice3.5/program/sbase
Missing vcl resource. This indicates that files vital to localization are missing. You might have a corrupt installation.
terminate called after throwing an instance of 'com::sun::star::uno::RuntimeException'

If those packages need others to run, they should depend on them. If they need _any_ localisation (and not a specific one, such as en-us), use "virtual packages", e.g. have the localisation packages "Provide: libobasis-i18n" and have the other packages "Depends: libobasis-i18n".
Comment 1 Lionel Elie Mamane 2012-01-30 02:12:13 UTC
$ sudo dpkg --install libobasis3.5-en-us_3.5.0-12_amd64.deb  libobasis3.5-en-us-base_3.5.0-12_amd64.deb libobasis3.5-en-us-res_3.5.0-12_amd64.deb

Now it works, so these seem to be the three packages that are needed.
Comment 2 sasha.libreoffice 2012-05-14 04:54:21 UTC
So, it fixed?
Comment 3 Thomas Hackert 2012-09-29 12:08:41 UTC
Hello Lionel, *,
would you be so kind to answer Sasha's question, please? Is it fixed (and could this issue be closed)? Or is it still valid?
Sorry for the inconvenience
Thomas.
Comment 4 Lionel Elie Mamane 2012-09-30 04:50:03 UTC
No, it is not fixed. The situation is as such: LibreOffice refuses to start without a localisation package installed, *but* the .deb packages do not declare that requirement.

(And AFAIK, we don't use NEEDINFO keyword anymore, we use NEEDINFO status)
Comment 5 Joel Madero 2013-06-10 17:44:53 UTC
Lionel - as it's reported by you, marking as NEW :)

If it's fixed by now please close it but I suspect it's not, feel free to prioritize however you see fit
Comment 6 QA Administrators 2015-03-16 23:46:21 UTC Comment hidden (obsolete)
Comment 7 tommy27 2016-04-16 07:24:43 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:25:53 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2017-08-15 12:22:12 UTC
Dependencies are still incomplete in the debs provided by LibreOffice project.
Indeed it seems obvious it should be enough to install the LibreOffice package, for example for LO 5.2.7:
sudo dpkg -install libreoffice5.2_5.2.7.2-2_amd64.deb

it does not work with error message about unsatisfied dependencies, but missing packages are not listed.

Best regards. JBF
Comment 10 QA Administrators 2018-08-16 02:37:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug